> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/popularity/models.md).

# Models

## The StandardErrorResponse object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"StandardErrorResponse":{"type":"object","properties":{"statusCode":{"type":"integer","description":"HTTP response code"},"titleMessage":{"type":"string"},"helpMessage":{"type":"string"},"userMessage":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## The AssetLocator object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"AssetLocator":{"description":"Describes where to search for a specific Catalog asset. It might match more than one result.\n\nIt also specifies the type of the datastore of origin and its commercial name\n","type":"object","required":["type","keys"],"properties":{"type":{"$ref":"#/components/schemas/Type"},"product":{"$ref":"#/components/schemas/ProductName"},"keys":{"$ref":"#/components/schemas/Keys"}}},"Type":{"description":"Identifier for the datastore type of origin.\n","type":"string"},"ProductName":{"description":"Commercial name of the datastore of origin.\n","type":"string"},"Keys":{"description":"Ordered list of names for each member of the hierarchy of an item.\n","type":"array","minItems":1,"items":{"type":"string","nullable":false}}}}}
```

## The Type object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"Type":{"description":"Identifier for the datastore type of origin.\n","type":"string"}}}}
```

## The ProductName object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"ProductName":{"description":"Commercial name of the datastore of origin.\n","type":"string"}}}}
```

## The Keys object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"Keys":{"description":"Ordered list of names for each member of the hierarchy of an item.\n","type":"array","minItems":1,"items":{"type":"string","nullable":false}}}}}
```

## The AggregatedData object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"AggregatedData":{"type":"object","properties":{"assetLocator":{"$ref":"#/components/schemas/AssetLocator"},"toDate":{"type":"string","format":"date-time","description":"End date of the 30-day window used for popularity calculation"},"timePeriod":{"type":"string"},"queryCount":{"type":"integer"},"distinctUsers":{"type":"integer","description":"Number of distinct users that have queried the asset"}}},"AssetLocator":{"description":"Describes where to search for a specific Catalog asset. It might match more than one result.\n\nIt also specifies the type of the datastore of origin and its commercial name\n","type":"object","required":["type","keys"],"properties":{"type":{"$ref":"#/components/schemas/Type"},"product":{"$ref":"#/components/schemas/ProductName"},"keys":{"$ref":"#/components/schemas/Keys"}}},"Type":{"description":"Identifier for the datastore type of origin.\n","type":"string"},"ProductName":{"description":"Commercial name of the datastore of origin.\n","type":"string"},"Keys":{"description":"Ordered list of names for each member of the hierarchy of an item.\n","type":"array","minItems":1,"items":{"type":"string","nullable":false}}}}}
```

## The JobsResultPage object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"JobsResultPage":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Job"}}}},"Job":{"type":"object","required":["id","createdBy","createdOn","startDate","status"],"properties":{"id":{"type":"string","format":"uuid"},"createdBy":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time"},"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["Waiting","Running","Completed","Failed"]},"report":{"type":"object","additionalProperties":true}}}}}}
```

## The Job object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"Job":{"type":"object","required":["id","createdBy","createdOn","startDate","status"],"properties":{"id":{"type":"string","format":"uuid"},"createdBy":{"type":"string","format":"uuid"},"createdOn":{"type":"string","format":"date-time"},"startDate":{"type":"string","format":"date-time"},"endDate":{"type":"string","format":"date-time"},"status":{"type":"string","enum":["Waiting","Running","Completed","Failed"]},"report":{"type":"object","additionalProperties":true}}}}}}
```

## The Popularity object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"Popularity":{"type":"object","properties":{"score":{"type":"string"},"calculatedAt":{"type":"string","format":"date-time"}}}}}}
```

## The UsageData object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"UsageData":{"type":"object","properties":{"fromDate":{"type":"string","format":"date-time"},"toDate":{"type":"string","format":"date-time"},"queryCount":{"type":"integer"},"distinctUsers":{"type":"integer"}}}}}}
```

## The findPopularityResponse object

```json
{"openapi":"3.0.3","info":{"title":"Catalog Popularity","version":"0.0.1"},"components":{"schemas":{"findPopularityResponse":{"type":"object","required":["assetLocator"],"properties":{"assetLocator":{"type":"array","items":{"$ref":"#/components/schemas/AssetLocator"}},"popularity":{"$ref":"#/components/schemas/Popularity"},"usageData":{"$ref":"#/components/schemas/UsageData"},"errorMessage":{"type":"string"}}},"AssetLocator":{"description":"Describes where to search for a specific Catalog asset. It might match more than one result.\n\nIt also specifies the type of the datastore of origin and its commercial name\n","type":"object","required":["type","keys"],"properties":{"type":{"$ref":"#/components/schemas/Type"},"product":{"$ref":"#/components/schemas/ProductName"},"keys":{"$ref":"#/components/schemas/Keys"}}},"Type":{"description":"Identifier for the datastore type of origin.\n","type":"string"},"ProductName":{"description":"Commercial name of the datastore of origin.\n","type":"string"},"Keys":{"description":"Ordered list of names for each member of the hierarchy of an item.\n","type":"array","minItems":1,"items":{"type":"string","nullable":false}},"Popularity":{"type":"object","properties":{"score":{"type":"string"},"calculatedAt":{"type":"string","format":"date-time"}}},"UsageData":{"type":"object","properties":{"fromDate":{"type":"string","format":"date-time"},"toDate":{"type":"string","format":"date-time"},"queryCount":{"type":"integer"},"distinctUsers":{"type":"integer"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/popularity/models.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
